using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.BaseData.Domain.Entities.FM
{
  [Description("岗位列表")]
  public partial class T_FM_USER_POST : MesEntityBase
  {
        [Description("岗位编码")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public String CODE { get; set; }
        [Description("岗位名称")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public String NAME { get; set; }
        [Description("启用标志")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [EnumName("FMPostStatusType")]
        public int STATUS { get; set; }
        [Description("备注")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public String REMARK { get; set; }


        public virtual ICollection<T_FM_USER_TEST> Nav_UserTests { get; set; }
   }
}
